<?xml version="1.0" encoding="UTF-8"?>

<configuration scan="true">
	<appender name="CONSOLE" class="ch.qos.logback.core.ConsoleAppender">
		<encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
			<pattern>${logback.consoleLogPattern}</pattern>
		</encoder>
	</appender>
	
	<appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
		<file>${logback.logFile}</file>
		<encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
			<pattern>${logback.fileLogPattern}</pattern>
		</encoder>
		<rollingPolicy class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
			<maxIndex>3</maxIndex>
			<FileNamePattern>${logback.logFile}.%i</FileNamePattern>
		</rollingPolicy>
		<triggeringPolicy class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
			<maxFileSize>1MB</maxFileSize>
		</triggeringPolicy>
	</appender>
	
	<logger name="io.onedev" level="INFO"/>	
	
	<statusListener class="ch.qos.logback.core.status.NopStatusListener" />
	
	<root level="WARN">
		<appender-ref ref="FILE"/>
		<appender-ref ref="CONSOLE"/>
	</root>
	
</configuration>